This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 741626 - (packmol) Review Request: packmol - Packing optimization for molecular dynamics simulations
Review Request: packmol - Packing optimization for molecular dynamics simulat...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Gieseking
Fedora Extras Quality Assurance
:
: 531605 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-27 09:13 EDT by Susi Lehtola
Modified: 2013-04-12 10:13 EDT (History)
7 users (show)

See Also:
Fixed In Version: packmol-1.1.2.023-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-31 16:56:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
martin.gieseking: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2011-09-27 09:13:09 EDT
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/packmol.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/packmol-1.1.1.258-1.fc15.src.rpm

Upstream URL:
http://www.ime.unicamp.br/~martinez/packmol/

Description:
Packmol creates an initial point for molecular dynamics simulations by
packing molecules in defined regions of space. The packing guarantees
that short range repulsive interactions do not disrupt the
simulations.

The great variety of types of spatial constraints that can be
attributed to the molecules, or atoms within the molecules, makes it
easy to create ordered systems, such as lamellar, spherical or tubular
lipid layers.

The user must provide only the coordinates of one molecule of each
type, the number of molecules of each type and the spatial constraints
that each type of molecule must satisfy.

The package is compatible with input files of PDB, TINKER, XYZ and
MOLDY formats.


rpmlint output:

packmol.src: W: spelling-error %description -l en_US lamellar -> Carmella, Mallarme, Marcella
packmol.src:58: W: macro-in-comment %{buildroot}
packmol.src:58: W: macro-in-comment %{_bindir}
packmol.src:68: W: macro-in-comment %{_bindir}
packmol.x86_64: W: spelling-error %description -l en_US lamellar -> Carmella, Mallarme, Marcella
packmol.x86_64: W: no-manual-page-for-binary packmol
packmol.x86_64: W: no-manual-page-for-binary packmol_solvate
3 packages and 0 specfiles checked; 0 errors, 7 warnings.
Comment 1 Susi Lehtola 2011-09-27 09:13:38 EDT
*** Bug 531605 has been marked as a duplicate of this bug. ***
Comment 2 Thomas Spura 2011-10-07 12:55:38 EDT
- The way you build it breaks the debuginfo package:
  extracting debug info from /home/tom/rpmbuild/BUILDROOT/packmol-1.1.1.258-1.fc15.x86_64/usr/bin/packmol
  cpio: packmol/ser/gencan.i: Cannot stat: No such file or directory
  cpio: packmol/ser/molpa.i: Cannot stat: No such file or directory
  cpio: packmol/ser/sizes.i: Cannot stat: No such file or directory

  The files are in packmol/*.i directly.

Is there a CMake possibility to put them into the ser directory instead?
Running "mv *.i ser/" after building works, but looks rather hackish...



- Why are GPLv3 headers -> GPL+?
  I'd expect GPLv3+ (or GPLv3only) here:
  (minimal) version = version in COPYING.

  It would be best to ask upstream to clarify it.
Comment 3 Susi Lehtola 2011-10-07 13:12:07 EDT
(In reply to comment #2)
> Is there a CMake possibility to put them into the ser directory instead?
> Running "mv *.i ser/" after building works, but looks rather hackish...

Maybe. But these are include files...

> - Why are GPLv3 headers -> GPL+?
>   I'd expect GPLv3+ (or GPLv3only) here:
>   (minimal) version = version in COPYING.
> 
>   It would be best to ask upstream to clarify it.

.. where do you see gplv3 headers?
Comment 4 Thomas Spura 2011-10-08 05:30:43 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > Is there a CMake possibility to put them into the ser directory instead?
> > Running "mv *.i ser/" after building works, but looks rather hackish...
> 
> Maybe. But these are include files...

How about a complete cp then?
e.g.
mkdir ser; cd ser
cp ../* .
%cmake... etc
cd ..

Do you intend to build both serial and parallel versions?
How do you want to name them?
par/ppackmol would only be a script that calls packmol with OMP_THREADS

With copying around anything from above, it would be possible to install par/packmol as ppackmol and get a backtrace of the segfault with abrt.

> > - Why are GPLv3 headers -> GPL+?
> >   I'd expect GPLv3+ (or GPLv3only) here:
> >   (minimal) version = version in COPYING.
> > 
> >   It would be best to ask upstream to clarify it.
> 
> .. where do you see gplv3 headers?

GPL+ for me is any GPL version, that exists and that will come in the future.

When adding a GPLv3 COPYING, I either want to have the program licensed under GPLv3 or GPLv3+, but not with GPLv2. But I'm not a lawyer, so asking upstream to clarify it is the best way to be sure.
Comment 5 Susi Lehtola 2011-10-08 06:42:15 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > (In reply to comment #2)
> > > Is there a CMake possibility to put them into the ser directory instead?
> > > Running "mv *.i ser/" after building works, but looks rather hackish...
> > 
> > Maybe. But these are include files...
> 
> How about a complete cp then?
> e.g.
> mkdir ser; cd ser
> cp ../* .
> %cmake... etc
> cd ..
 
I'll copy the inc files.

My reason for writing the CMake scripts was to get out-of-tree builds to work, and also make SMP make work correctly.

> Do you intend to build both serial and parallel versions?
> How do you want to name them?
> par/ppackmol would only be a script that calls packmol with OMP_THREADS
> 
> With copying around anything from above, it would be possible to install
> par/packmol as ppackmol and get a backtrace of the segfault with abrt.

I might in the future. Packmol allocates everything statically (gah!), since it has been written in Fortran 77 (double gah! - Fortran 90 is a *lot* better in every aspect).

The segfault is due to the stack memory limit being broken.

I don't see a need for a wrapper script.
 
> > > - Why are GPLv3 headers -> GPL+?
> > >   I'd expect GPLv3+ (or GPLv3only) here:
> > >   (minimal) version = version in COPYING.
> > > 
> > >   It would be best to ask upstream to clarify it.
> > 
> > .. where do you see gplv3 headers?
> 
> GPL+ for me is any GPL version, that exists and that will come in the future.
> 
> When adding a GPLv3 COPYING, I either want to have the program licensed under
> GPLv3 or GPLv3+, but not with GPLv2. But I'm not a lawyer, so asking upstream
> to clarify it is the best way to be sure.

Please read

https://fedoraproject.org/wiki/Licensing:FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

I have asked the author to add license boilerplates already a couple of weeks ago, and to port the code to allocate the memory dynamically.
Comment 6 Martin Gieseking 2012-01-21 08:52:06 EST
I take this one. The package looks good to me -- I just recommend to explicitly remove cenmass.o in %prep in order to prevent linking this object file.

Also, upstream has released a new version of packmol. Maybe you'd like to update the package. The license headers are still missing but there's a file LICENSE present now which refers to GPLv2 only while COPYING still contains the GPLv3 license text. Upstream should definitely fix this. The license tag GPL+ is nonetheless correct, though.


$ rpmlint  *.rpm
packmol.src: W: spelling-error %description -l en_US lamellar -> Carmella, Mallarme, Marcella
packmol.src:58: W: macro-in-comment %{buildroot}
packmol.src:58: W: macro-in-comment %{_bindir}
packmol.src:68: W: macro-in-comment %{_bindir}
packmol.src: W: invalid-url Source0: http://packmol.googlecode.com/files/packmol-1.1.1.258.tar.gz HTTP Error 404: Not Found
packmol.x86_64: W: spelling-error %description -l en_US lamellar -> Carmella, Mallarme, Marcella
packmol.x86_64: W: no-manual-page-for-binary packmol
packmol.x86_64: W: no-manual-page-for-binary packmol_solvate
3 packages and 0 specfiles checked; 0 errors, 8 warnings.

The above warnings can safely be ignored:
- macros in comments are expected
- invalid url warning is false positive
- spelling errors are false positive
- no manual pages available for the binaries

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - GPLv3 license text present
    - no copyright information in sources
    => GPL+

[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum packmol-1.1.1.258.tar.gz*
    d1b12036b94f48c92595e9c4d3180009  packmol-1.1.1.258.tar.gz
    d1b12036b94f48c92595e9c4d3180009  packmol-1.1.1.258.tar.gz.upstream

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[+] MUST: When compiling C, C++, or Fortran files, %{optflags} must be applied.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[.] MUST: devel packages must require the base package using a fully versioned dependency.
[+] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

EPEL <= 5 only:
[+] MUST: The spec file must contain a valid BuildRoot field.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.
[.] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'

[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The reviewer should test that the package functions as described.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[X] SHOULD: Your package should contain man pages for binaries/scripts.
    - maybe you can ask upstream to think about adding manpages for the 
      executables
Comment 7 Susi Lehtola 2012-01-21 13:21:57 EST
(In reply to comment #6)
> I take this one. The package looks good to me -- I just recommend to explicitly
> remove cenmass.o in %prep in order to prevent linking this object file.

Done.

> Also, upstream has released a new version of packmol. Maybe you'd like to
> update the package. The license headers are still missing but there's a file
> LICENSE present now which refers to GPLv2 only while COPYING still contains the
> GPLv3 license text. Upstream should definitely fix this. The license tag GPL+
> is nonetheless correct, though.

Done; but the correct license tag is now GPLv2.

http://theory.physics.helsinki.fi/~jzlehtol/rpms/packmol.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/packmol-1.1.2.017-1.fc16.src.rpm
Comment 8 Martin Gieseking 2012-01-22 04:55:24 EST
(In reply to comment #7)
> Done; but the correct license tag is now GPLv2.

Yes, of course. I think, you can drop COPYING as long as it doesn't match the license of the package. Anyway, the package looks good now.

----------------
Package APPROVED
----------------
Comment 9 Susi Lehtola 2012-01-22 05:09:05 EST
Sure. Thanks for the review!


New Package SCM Request
=======================
Package Name: packmol
Short Description: Packing optimization for molecular dynamics simulations
Owners: jussilehtola
Branches: F-15 F-16
InitialCC:
Comment 10 Jon Ciesla 2012-01-23 08:05:18 EST
Git done (by process-git-requests).
Comment 11 Susi Lehtola 2012-01-23 08:30:03 EST
Upstream has added license headers and fixed LICENSE. The license tag has been changed accordingly to GPLv2+.
Comment 12 Fedora Update System 2012-01-23 09:49:38 EST
packmol-1.1.2.023-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/packmol-1.1.2.023-1.fc15
Comment 13 Fedora Update System 2012-01-23 09:49:47 EST
packmol-1.1.2.023-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/packmol-1.1.2.023-1.fc16
Comment 14 Fedora Update System 2012-01-23 16:52:50 EST
packmol-1.1.2.023-1.fc15 has been pushed to the Fedora 15 testing repository.
Comment 15 Fabien Archambault 2012-01-24 03:37:43 EST
Hi,

Is it possible to build it agains CentOs-6 for the epel repo?

I tried on a C6 bix and it works:

rpmbuild --rebuild packmol-1.1.2.023-1.fc16.src.rpm 
Installing packmol-1.1.2.023-1.fc16.src.rpm
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.PT5aQU
+ umask 022
+ cd /root/rpmbuild/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /root/rpmbuild/BUILD
+ rm -rf packmol
+ /bin/tar -xf -
+ /usr/bin/gzip -dc /root/rpmbuild/SOURCES/packmol-1.1.2.023.tar.gz
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd packmol
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ cp -a /root/rpmbuild/SOURCES/packmol-CMakeLists.txt CMakeLists.txt
+ find . -name '*.o' -delete
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.0yG8KE
+ umask 022
+ cd /root/rpmbuild/BUILD
+ cd packmol
+ LANG=C
+ export LANG
+ unset DISPLAY
+ export FC=gfortran
+ FC=gfortran
+ mkdir ser
+ cd ser
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
+ export FFLAGS
+ /usr/bin/cmake -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_INSTALL_LIBDIR:PATH=/usr/lib64 -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DLIB_SUFFIX=64 -DBUILD_SHARED_LIBS:BOOL=ON -DUSE_OPENMP=OFF ..
-- The Fortran compiler identification is GNU
-- Check for working Fortran compiler: /usr/bin/gfortran
-- Check for working Fortran compiler: /usr/bin/gfortran  -- works
-- Detecting Fortran compiler ABI info
-- Detecting Fortran compiler ABI info - done
-- Checking whether /usr/bin/gfortran supports Fortran 90
-- Checking whether /usr/bin/gfortran supports Fortran 90 -- yes
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Configuring done
-- Generating done
CMake Warning: The variable, 'BUILD_SHARED_LIBS', specified manually, was not used during the generation.
CMake Warning: The variable, 'CMAKE_INSTALL_LIBDIR', specified manually, was not used during the generation.
CMake Warning: The variable, 'INCLUDE_INSTALL_DIR', specified manually, was not used during the generation.
CMake Warning: The variable, 'LIB_INSTALL_DIR', specified manually, was not used during the generation.
CMake Warning: The variable, 'LIB_SUFFIX', specified manually, was not used during the generation.
CMake Warning: The variable, 'SHARE_INSTALL_PREFIX', specified manually, was not used during the generation.
CMake Warning: The variable, 'SYSCONF_INSTALL_DIR', specified manually, was not used during the generation.
-- Build files have been written to: /root/rpmbuild/BUILD/packmol/ser
+ make -j8
/usr/bin/cmake -H/root/rpmbuild/BUILD/packmol -B/root/rpmbuild/BUILD/packmol/ser --check-build-system CMakeFiles/Makefile.cmake 0
/usr/bin/cmake -E cmake_progress_start /root/rpmbuild/BUILD/packmol/ser/CMakeFiles /root/rpmbuild/BUILD/packmol/ser/CMakeFiles/progress.marks
make -f CMakeFiles/Makefile2 all
make[1]: Entering directory `/root/rpmbuild/BUILD/packmol/ser'
make -f CMakeFiles/packmol.dir/build.make CMakeFiles/packmol.dir/depend
make[2]: Entering directory `/root/rpmbuild/BUILD/packmol/ser'
cd /root/rpmbuild/BUILD/packmol/ser && /usr/bin/cmake -E cmake_depends "Unix Makefiles" /root/rpmbuild/BUILD/packmol /root/rpmbuild/BUILD/packmol /root/rpmbuild/BUILD/packmol/ser /root/rpmbuild/BUILD/packmol/ser /root/rpmbuild/BUILD/packmol/ser/CMakeFiles/packmol.dir/DependInfo.cmake --color=
Scanning dependencies of target packmol
make[2]: Leaving directory `/root/rpmbuild/BUILD/packmol/ser'
make -f CMakeFiles/packmol.dir/build.make CMakeFiles/packmol.dir/requires
make[2]: Entering directory `/root/rpmbuild/BUILD/packmol/ser'
make[2]: Nothing to be done for `CMakeFiles/packmol.dir/requires'.
make[2]: Leaving directory `/root/rpmbuild/BUILD/packmol/ser'
make -f CMakeFiles/packmol.dir/build.make CMakeFiles/packmol.dir/build
make[2]: Entering directory `/root/rpmbuild/BUILD/packmol/ser'
/usr/bin/cmake -E cmake_progress_report /root/rpmbuild/BUILD/packmol/ser/CMakeFiles 1
[ 10%] /usr/bin/cmake -E cmake_progress_report /root/rpmbuild/BUILD/packmol/ser/CMakeFiles 2
/usr/bin/cmake -E cmake_progress_report /root/rpmbuild/BUILD/packmol/ser/CMakeFiles 3
Building Fortran object CMakeFiles/packmol.dir/cenmass.f.o
[ 20%] [ 30%] /usr/bin/gfortran  -o CMakeFiles/packmol.dir/cenmass.f.o  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -Wall -O2   -c /root/rpmbuild/BUILD/packmol/cenmass.f
/usr/bin/cmake -E cmake_progress_report /root/rpmbuild/BUILD/packmol/ser/CMakeFiles 4
Building Fortran object CMakeFiles/packmol.dir/gencan.f.o
/usr/bin/gfortran  -o CMakeFiles/packmol.dir/gencan.f.o  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -Wall -O2   -c /root/rpmbuild/BUILD/packmol/gencan.f
Building Fortran object CMakeFiles/packmol.dir/initial.f.o
/usr/bin/gfortran  -o CMakeFiles/packmol.dir/initial.f.o  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -Wall -O2   -c /root/rpmbuild/BUILD/packmol/initial.f
[ 40%] /usr/bin/cmake -E cmake_progress_report /root/rpmbuild/BUILD/packmol/ser/CMakeFiles 5
/usr/bin/cmake -E cmake_progress_report /root/rpmbuild/BUILD/packmol/ser/CMakeFiles 6
[ 50%] Warning: Nonconforming tab character in column 1 of line 2355
[ 60%] Building Fortran object CMakeFiles/packmol.dir/io.f.o
/root/rpmbuild/BUILD/packmol/gencan.f:56.36:

      subroutine evalal(n,x,m,lambda,rho,f,flag)                        
                                    1
Warning: Unused dummy argument 'lambda' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:56.40:

      subroutine evalal(n,x,m,lambda,rho,f,flag)                        
                                        1
Warning: Unused dummy argument 'rho' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:114.37:

      subroutine evalnal(n,x,m,lambda,rho,g,flag)                       
                                     1
Warning: Unused dummy argument 'lambda' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:114.41:

      subroutine evalnal(n,x,m,lambda,rho,g,flag)                       
                                         1
Warning: Unused dummy argument 'rho' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:177.25:

      subroutine evalhd(n)                                              
                         1
Warning: Unused dummy argument 'n' at (1)
/usr/bin/gfortran  -o CMakeFiles/packmol.dir/io.f.o  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -Wall -O2   -c /root/rpmbuild/BUILD/packmol/io.f
/usr/bin/cmake -E cmake_progress_report /root/rpmbuild/BUILD/packmol/ser/CMakeFiles 7
/usr/bin/cmake -E cmake_progress_report /root/rpmbuild/BUILD/packmol/ser/CMakeFiles 8
Building Fortran object CMakeFiles/packmol.dir/fgcommon.f.o
/usr/bin/gfortran  -o CMakeFiles/packmol.dir/fgcommon.f.o  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -Wall -O2   -c /root/rpmbuild/BUILD/packmol/fgcommon.f
[ 80%] [ 80%] Building Fortran object CMakeFiles/packmol.dir/packmolnew.f.o
/usr/bin/gfortran  -o CMakeFiles/packmol.dir/packmolnew.f.o  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -Wall -O2   -c /root/rpmbuild/BUILD/packmol/packmolnew.f
Building Fortran object CMakeFiles/packmol.dir/polartocart.f.o
Building Fortran object CMakeFiles/packmol.dir/heuristics.f.o
/usr/bin/gfortran  -o CMakeFiles/packmol.dir/polartocart.f.o  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -Wall -O2   -c /root/rpmbuild/BUILD/packmol/polartocart.f
/usr/bin/gfortran  -o CMakeFiles/packmol.dir/heuristics.f.o  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -Wall -O2   -c /root/rpmbuild/BUILD/packmol/heuristics.f
/root/rpmbuild/BUILD/packmol/polartocart.f:65.72:

      xcart(icart,1) = xbar + xcoor*v1(1) + ycoor*v2(1) + zcoor*v3(1)   
                                                                        1
Warning: Line truncated at (1)
/root/rpmbuild/BUILD/packmol/polartocart.f:66.72:

      xcart(icart,2) = ybar + xcoor*v1(2) + ycoor*v2(2) + zcoor*v3(2)   
                                                                        1
Warning: Line truncated at (1)
/root/rpmbuild/BUILD/packmol/polartocart.f:67.72:

      xcart(icart,3) = zbar + xcoor*v1(3) + ycoor*v2(3) + zcoor*v3(3)   
                                                                        1
Warning: Line truncated at (1)
/root/rpmbuild/BUILD/packmol/io.f:213.2:

25    write(*,*)' ERROR: Output file not (correctly?) specified. '      
  1
Warning: Label 25 at (1) defined but not used
/root/rpmbuild/BUILD/packmol/initial.f:527.39:

     +                   precision,isem)                                
                                       1
Warning: Unused dummy argument 'isem' at (1)
/root/rpmbuild/BUILD/packmol/initial.f:526.59:

      subroutine restmol(itype,ilubar,n,x,fx,solve,movefrac,            
                                                           1
Warning: Unused dummy argument 'movefrac' at (1)
/root/rpmbuild/BUILD/packmol/initial.f:527.34:

     +                   precision,isem)                                
                                  1
Warning: Unused dummy argument 'precision' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:2611.5:

 1003 format(6X,I6,T22,D17.6,T43,D17.6)                                 
     1
Warning: Label 1003 at (1) defined but not used
/root/rpmbuild/BUILD/packmol/gencan.f:2622.40:

     +steabs,epsrel,epsabs,infrel,infabs)                               
                                        1
Warning: Unused dummy argument 'infabs' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:2622.33:

     +steabs,epsrel,epsabs,infrel,infabs)                               
                                 1
Warning: Unused dummy argument 'infrel' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:2622.12:

     +steabs,epsrel,epsabs,infrel,infabs)                               
            1
Warning: Unused dummy argument 'steabs' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:2621.71:

     +fmin,maxfc,iprint,fcnt,inform,xtrial,d,gamma,sigma1,sigma2,sterel,
                                                                       1
Warning: Unused dummy argument 'sterel' at (1)
/usr/bin/cmake -E cmake_progress_report /root/rpmbuild/BUILD/packmol/ser/CMakeFiles 9
/usr/bin/cmake -E cmake_progress_report /root/rpmbuild/BUILD/packmol/ser/CMakeFiles 10
[100%] [100%] /root/rpmbuild/BUILD/packmol/fgcommon.f: In function 'feasyseq':
/root/rpmbuild/BUILD/packmol/fgcommon.f:612: warning: 'flast' may be used uninitialized in this function
Building Fortran object CMakeFiles/packmol.dir/geasy.f.o
Building Fortran object CMakeFiles/packmol.dir/feasy.f.o
/usr/bin/gfortran  -o CMakeFiles/packmol.dir/feasy.f.o  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -Wall -O2   -c /root/rpmbuild/BUILD/packmol/feasy.f
/usr/bin/gfortran  -o CMakeFiles/packmol.dir/geasy.f.o  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -Wall -O2   -c /root/rpmbuild/BUILD/packmol/geasy.f
/root/rpmbuild/BUILD/packmol/gencan.f:3018.19:

     +epsabs,infrel,infabs)                                             
                   1
Warning: Unused dummy argument 'infrel' at (1)
/root/rpmbuild/BUILD/packmol/packmolnew.f: In function 'packmol':
/root/rpmbuild/BUILD/packmol/packmolnew.f:55: warning: 'iirest' may be used uninitialized in this function
/root/rpmbuild/BUILD/packmol/gencan.f:3856.61:

     +sigma1,sigma2,sterel,steabs,epsrel,epsabs,infrel,infabs)          
                                                             1
Warning: Unused dummy argument 'infabs' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:3856.54:

     +sigma1,sigma2,sterel,steabs,epsrel,epsabs,infrel,infabs)          
                                                      1
Warning: Unused dummy argument 'infrel' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:5216.19:

     +steabs,inform)                                                    
                   1
Warning: Unused dummy argument 'inform' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:5215.52:

      subroutine calchd(nind,ind,x,d,g,n,xc,m,lambda,rho,hd,xtmp,sterel,
                                                    1
Warning: Unused dummy argument 'lambda' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:5215.56:

      subroutine calchd(nind,ind,x,d,g,n,xc,m,lambda,rho,hd,xtmp,sterel,
                                                        1
Warning: Unused dummy argument 'rho' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:5216.12:

     +steabs,inform)                                                    
            1
Warning: Unused dummy argument 'steabs' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:5215.71:

      subroutine calchd(nind,ind,x,d,g,n,xc,m,lambda,rho,hd,xtmp,sterel,
                                                                       1
Warning: Unused dummy argument 'sterel' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:5215.64:

      subroutine calchd(nind,ind,x,d,g,n,xc,m,lambda,rho,hd,xtmp,sterel,
                                                                1
Warning: Unused dummy argument 'xtmp' at (1)
/root/rpmbuild/BUILD/packmol/gencan.f:5699.5:

  110 IF (DABS(DX(I)).LE.XMAX) GO TO 115                                
     1
Warning: Label 110 at (1) defined but not used
/root/rpmbuild/BUILD/packmol/gencan.f:5698.5:

   70 IF (DABS(DX(I)).GT.CUTLO) GO TO 75                                
     1
Warning: Label 70 at (1) defined but not used
/root/rpmbuild/BUILD/packmol/gencan.f:5691.5:

   50 IF (DX(I).EQ.ZERO) GO TO 200                                      
     1
Warning: Label 50 at (1) defined but not used
/root/rpmbuild/BUILD/packmol/gencan.f:5689.5:

   30 IF (DABS(DX(I)).GT.CUTLO) GO TO 85                                
     1
Warning: Label 30 at (1) defined but not used
/root/rpmbuild/BUILD/packmol/io.f: In function 'setrnum':
/root/rpmbuild/BUILD/packmol/io.f:732: warning: 'ireslast' may be used uninitialized in this function
/root/rpmbuild/BUILD/packmol/gencan.f: In function 'cg':
/root/rpmbuild/BUILD/packmol/gencan.f:3272: warning: 'alpha' may be used uninitialized in this function
/root/rpmbuild/BUILD/packmol/gencan.f:3272: warning: 'amax1' may be used uninitialized in this function
/root/rpmbuild/BUILD/packmol/gencan.f:3272: warning: 'amax1n' may be used uninitialized in this function
/root/rpmbuild/BUILD/packmol/gencan.f:3273: warning: 'dnorm2' may be used uninitialized in this function
/root/rpmbuild/BUILD/packmol/gencan.f:3273: warning: 'dtr' may be used uninitialized in this function
/root/rpmbuild/BUILD/packmol/gencan.f:3274: warning: 'dtw' may be used uninitialized in this function
/root/rpmbuild/BUILD/packmol/gencan.f:3271: warning: 'rbdnegaind' may be used uninitialized in this function
/root/rpmbuild/BUILD/packmol/gencan.f:3271: warning: 'rbdnegatype' may be used uninitialized in this function
/root/rpmbuild/BUILD/packmol/gencan.f:3271: warning: 'rbdposaind' may be used uninitialized in this function
/root/rpmbuild/BUILD/packmol/gencan.f:3271: warning: 'rbdposatype' may be used uninitialized in this function
/root/rpmbuild/BUILD/packmol/gencan.f:3275: warning: 'rnorm2prev' may be used uninitialized in this function
/root/rpmbuild/BUILD/packmol/gencan.f: In function 'gencan':
/root/rpmbuild/BUILD/packmol/gencan.f:1729: warning: 'sts' may be used uninitialized in this function
/root/rpmbuild/BUILD/packmol/gencan.f:1729: warning: 'sty' may be used uninitialized in this function
Linking Fortran executable packmol
/usr/bin/cmake -E cmake_link_script CMakeFiles/packmol.dir/link.txt --verbose=1
/usr/bin/gfortran    -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -Wall -O2 CMakeFiles/packmol.dir/cenmass.f.o CMakeFiles/packmol.dir/gencan.f.o CMakeFiles/packmol.dir/initial.f.o CMakeFiles/packmol.dir/io.f.o CMakeFiles/packmol.dir/fgcommon.f.o CMakeFiles/packmol.dir/packmolnew.f.o CMakeFiles/packmol.dir/polartocart.f.o CMakeFiles/packmol.dir/heuristics.f.o CMakeFiles/packmol.dir/feasy.f.o CMakeFiles/packmol.dir/geasy.f.o  -o packmol -rdynamic 
make[2]: Leaving directory `/root/rpmbuild/BUILD/packmol/ser'
/usr/bin/cmake -E cmake_progress_report /root/rpmbuild/BUILD/packmol/ser/CMakeFiles  1 2 3 4 5 6 7 8 9 10
[100%] Built target packmol
make[1]: Leaving directory `/root/rpmbuild/BUILD/packmol/ser'
/usr/bin/cmake -E cmake_progress_start /root/rpmbuild/BUILD/packmol/ser/CMakeFiles 0
+ cd ..
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.sktY2F
+ umask 022
+ cd /root/rpmbuild/BUILD
+ '[' /root/rpmbuild/BUILDROOT/packmol-1.1.2.023-1.fc16.x86_64 '!=' / ']'
+ rm -rf /root/rpmbuild/BUILDROOT/packmol-1.1.2.023-1.fc16.x86_64
++ dirname /root/rpmbuild/BUILDROOT/packmol-1.1.2.023-1.fc16.x86_64
+ mkdir -p /root/rpmbuild/BUILDROOT
+ mkdir /root/rpmbuild/BUILDROOT/packmol-1.1.2.023-1.fc16.x86_64
+ cd packmol
+ LANG=C
+ export LANG
+ unset DISPLAY
+ rm -rf /root/rpmbuild/BUILDROOT/packmol-1.1.2.023-1.fc16.x86_64
+ install -D -p -m 755 ser/packmol /root/rpmbuild/BUILDROOT/packmol-1.1.2.023-1.fc16.x86_64/usr/bin/packmol
+ install -D -p -m 755 solvate.tcl /root/rpmbuild/BUILDROOT/packmol-1.1.2.023-1.fc16.x86_64/usr/bin/packmol_solvate
+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id /root/rpmbuild/BUILD/packmol
extracting debug info from /root/rpmbuild/BUILDROOT/packmol-1.1.2.023-1.fc16.x86_64/usr/bin/packmol
cpio: packmol/ser/gencan.i: Cannot stat: No such file or directory
cpio: packmol/ser/molpa.i: Cannot stat: No such file or directory
cpio: packmol/ser/sizes.i: Cannot stat: No such file or directory
699 blocks
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
+ /usr/lib/rpm/brp-python-bytecompile
+ /usr/lib/rpm/redhat/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Processing files: packmol-1.1.2.023-1.el6.x86_64
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.FVKRBJ
+ umask 022
+ cd /root/rpmbuild/BUILD
+ cd packmol
+ DOCDIR=/root/rpmbuild/BUILDROOT/packmol-1.1.2.023-1.fc16.x86_64/usr/share/doc/packmol-1.1.2.023
+ export DOCDIR
+ rm -rf /root/rpmbuild/BUILDROOT/packmol-1.1.2.023-1.fc16.x86_64/usr/share/doc/packmol-1.1.2.023
+ /bin/mkdir -p /root/rpmbuild/BUILDROOT/packmol-1.1.2.023-1.fc16.x86_64/usr/share/doc/packmol-1.1.2.023
+ cp -pr AUTHORS LICENSE COPYING /root/rpmbuild/BUILDROOT/packmol-1.1.2.023-1.fc16.x86_64/usr/share/doc/packmol-1.1.2.023
+ exit 0
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: /usr/bin/tclsh libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.4)(64bit) libgcc_s.so.1()(64bit) libgfortran.so.3()(64bit) libgfortran.so.3(GFORTRAN_1.0)(64bit) libm.so.6()(64bit) libm.so.6(GLIBC_2.2.5)(64bit) rtld(GNU_HASH)
Processing files: packmol-debuginfo-1.1.2.023-1.el6.x86_64
Checking for unpackaged file(s): /usr/lib/rpm/check-files /root/rpmbuild/BUILDROOT/packmol-1.1.2.023-1.fc16.x86_64
Wrote: /root/rpmbuild/RPMS/x86_64/packmol-1.1.2.023-1.el6.x86_64.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/packmol-debuginfo-1.1.2.023-1.el6.x86_64.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.dTGsGV
+ umask 022
+ cd /root/rpmbuild/BUILD
+ cd packmol
+ rm -rf /root/rpmbuild/BUILDROOT/packmol-1.1.2.023-1.fc16.x86_64
+ exit 0
Executing(--clean): /bin/sh -e /var/tmp/rpm-tmp.RFSmWZ
+ umask 022
+ cd /root/rpmbuild/BUILD
+ rm -rf packmol
+ exit 0
Comment 16 Susi Lehtola 2012-01-24 03:59:27 EST
Very well.

Package Change Request
======================
Package Name: packmol
New Branches: el6
Owners: jussilehtola
InitialCC:
Comment 17 Jon Ciesla 2012-01-24 06:02:14 EST
Git done (by process-git-requests).
Comment 18 Fedora Update System 2012-01-24 09:48:56 EST
packmol-1.1.2.023-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/packmol-1.1.2.023-1.el6
Comment 19 Fedora Update System 2012-01-31 16:56:47 EST
packmol-1.1.2.023-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 20 Fedora Update System 2012-01-31 17:05:52 EST
packmol-1.1.2.023-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 21 Fedora Update System 2012-02-09 13:46:32 EST
packmol-1.1.2.023-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.